### Function

# Gck Attributes new_empty

#### Declaration [src]

    GckAttributes*
    gck_attributes_new_empty (
      gulong first_type,
      ...
    )

#### Description [src]

Creates an GckAttributes array with empty attributes

Terminate the argument list with `GCK_INVALID`.

#### Parameters

`first_type` | `gulong`
| The first empty attribute type.
`...` | ``
| The other empty attribute types.

#### Return value

Returns: | `GckAttributes`
| A reference to an empty set of attributes.
| The caller of the function takes ownership of the data, and is responsible for freeing it.